package com.ruoyi.framework.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class WieXinPayProperties {
    /**
     * 商户号
     */
    @Value("${wx.mch-id}")
    private String mchId;

    /**
     * 商户API证书序列号
     */
    @Value("${wx.mch-serial-no}")
    private String mchSerialNo;

    /**
     * 商户私钥文件
     */
    @Value("${wx.private-key-path}")
    private String privateKeyPath;

    /**
     * APIv3密钥
     */
    @Value("${wx.api-key}")
    private String key;

    /**
     * APPID
     */
    @Value("${wx.appid}")
    private String appid;

    /**
     * 微信服务器地址
     */
    @Value("${wx.domain}")
    private String domain;

    /**
     * 接收结果通知地址
     */
    @Value("${wx.notify-domain}")
    private String notifyUrl;

    /**
     * 证书文件的绝对路径
     */
    @Value("${wx.private-cert-path}")
    private String privateCertPath;
}
