package com.ruoyi.wx.web.mapper;

import com.ruoyi.framework.recovery.domain.RecStores;
import com.ruoyi.wx.web.domain.vo.RecStoresVo;
import com.ruoyi.wx.web.domain.vo.SaleInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WxHomeMapper {

    /**
     * 根据id集查询所有商品信息
     *
     * @param comIds id集合
     * @return 商品信息
     */
    List<SaleInfoVo> selectRecCommodityByIds(@Param("ids") List<Integer> comIds);

    /**
     * 根据id模糊查询所有发售此商品的门店
     *
     * @param comIds ids
     * @return 模糊查询所有发售此商品的门店
     */
    List<RecStores> selectRecStoresByCommondityIds(@Param("ids") List<String> comIds);
}
