package com.ruoyi.wx.web.service;

import com.ruoyi.wx.web.domain.dto.LotteryDto;
import com.ruoyi.wx.web.domain.vo.AwardVo;
import com.ruoyi.wx.web.domain.vo.LotteryVo;

import java.util.List;

public interface IWxLotteryUserService {
    /**
     * 获取当前人抽奖码
     *
     * @return 返回结果集
     */
    List<LotteryVo> getListById(Long lotteryId);

    /**
     * 当前人员进行抽奖
     *
     * @param lotteryDto 入参
     * @return 结果集
     */
    LotteryVo addLottery(LotteryDto lotteryDto);

    /**
     * 获取全量抽奖内容
     *
     * @return 结果集
     */
    List<AwardVo> getList(String type);
}
