package com.ruoyi.wx.web.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.framework.recovery.domain.RecBrand;
import com.ruoyi.wx.web.domain.vo.GoodsInfoVo;

import java.util.List;

public interface IWxQuotationService {
    /**
     * 获取所有行情品牌
     *
     * @return 品牌结果集
     */
    List<RecBrand> getBrands();

    /**
     * 根据品牌id查询所有相关内容
     *
     * @param id
     * @return
     */
    List<RecBrand> getBrandSeries(Long id);

    /**
     * 根据系列id，查询所有系列的物品详细信息
     *
     * @param id 系列id
     * @return 详情信息
     */
    List<GoodsInfoVo> getGoodsInfo(Long id);
}
