package com.ruoyi.wx.web.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.framework.recovery.domain.RecStall;
import com.ruoyi.wx.web.domain.dto.RecycleDto;
import com.ruoyi.wx.web.domain.vo.RecycleVo;

import java.util.List;

public interface IWxRecycleService {
    /**
     * 回收分类
     *
     * @return 返回结果
     */
    AjaxResult getIndex();

    /**
     * 根据回收分类查询内容
     *
     * @param id id
     * @return 结果集
     */
    List<RecycleVo> getInfoList(Long id);

    /**
     * 精确根据城市、类型和档口类型来查询
     *
     * @param recycleDto 入参
     * @return 结果集
     */
    List<RecStall> getCityRecycle(RecycleDto recycleDto);
}
